Bug 535802 - (RHQ-2460) support starting JBossAS server from jboss_init_redhat.sh wrapper script
support starting JBossAS server from jboss_init_redhat.sh wrapper script
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-08 14:41 EDT by Mark Burchard
Modified: 2014-05-12 15:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-12 15:07:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Burchard 2009-10-08 14:41:00 EDT
If you run the Agent as a user other than you run your JBossAS server (typically root), the Agent will start the server as the Agent user.  I've tried various combinations of script prefixes, but they all error out:


java.lang.RuntimeException: Server failed to start: 
	at org.rhq.plugins.jbossas.JBossASServerOperationsDelegate.start(JBossASServerOperationsDelegate.java:211)
	at org.rhq.plugins.jbossas.JBossASServerOperationsDelegate.invoke(JBossASServerOperationsDelegate.java:120)
	at org.rhq.plugins.jbossas.JBossASServerComponent.invokeOperation(JBossASServerComponent.java:343)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:484)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
	at java.lang.Thread.run(Thread.java:619)
 

The init wrapper supports a "JBOSS_USER".  It would be great if the init script could be configured, perhaps with a "command suffix" to support the "start" argument to the jboss_init_redhat.com
Comment 1 Red Hat Bugzilla 2009-11-10 16:04:53 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2460
Comment 2 henrik 2009-12-01 08:03:43 EST
The more robust init script in https://jira.jboss.org/jira/browse/JBPAPP-3194 might help you.
Comment 4 Jay Shaughnessy 2014-05-12 15:07:23 EDT
rhqctl is the new control mechanism.

Note You need to log in before you can comment on or make changes to this bug.